## org.codehaus.groovy.grails.commons
Class DefaultGrailsCodecClass

    java.lang.Object
      org.codehaus.groovy.grails.commons.AbstractGrailsClass
          org.codehaus.groovy.grails.commons.AbstractInjectableGrailsClass
              org.codehaus.groovy.grails.commons.DefaultGrailsCodecClass

All Implemented Interfaces:
  GrailsClass, GrailsCodecClass, InjectableGrailsClass

    public class DefaultGrailsCodecClass

extends AbstractInjectableGrailsClass
implements GrailsCodecClass

Since:
  0.4
Author:
  Jeff Brown

Field Summary
`static String` `CODEC`

Constructor Summary
`DefaultGrailsCodecClass(Class clazz)`

Method Summary
`groovy.lang.Closure` `getDecodeMethod()`
`groovy.lang.Closure` `getEncodeMethod()`

Methods inherited from class org.codehaus.groovy.grails.commons.AbstractInjectableGrailsClass
`byName, byType, getAvailable`

Methods inherited from class org.codehaus.groovy.grails.commons.AbstractGrailsClass
`getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyName, getPropertyOrStaticPropertyOrFieldValue, getPropertyValue, getPropertyValue, getReference, getShortName, hasProperty, newInstance, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.codehaus.groovy.grails.commons.InjectableGrailsClass
`byName, byType, getAvailable`

Methods inherited from interface org.codehaus.groovy.grails.commons.GrailsClass
`getClazz, getFullName, getLogicalPropertyName, getMetaClass, getName, getNaturalName, getPackageName, getPropertyName, getPropertyValue, getPropertyValue, getReference, getShortName, hasProperty, newInstance`

Field Detail

### CODEC

    public static final String CODEC

See Also:
  Constant Field Values

Constructor Detail

### DefaultGrailsCodecClass

    public DefaultGrailsCodecClass(Class clazz)

Method Detail

### getDecodeMethod

    public groovy.lang.Closure getDecodeMethod()

  Specified by:
    `getDecodeMethod` in interface `GrailsCodecClass`
  Returns:
    The decode closure

### getEncodeMethod

    public groovy.lang.Closure getEncodeMethod()

  Specified by:
    `getEncodeMethod` in interface `GrailsCodecClass`
  Returns:
    The encode closure

Copyright (c) 2005-2009 The Grails project